@extends("layouts.admin")
@section('custom_script')
    @include('pages.packages.declaration_script', ['jsonStructure' => $declarationJSON])
@endsection

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Декларации
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Декларации</a></li>
                <li class="breadcrumb-item active" aria-current="page">Список</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <td>#</td>
                            <td>Пользователь</td>
                            <td>Трек №</td>
                            <td>Название посылки</td>
                            <td>Кол-во товаров</td>
                            <td>Стоимость</td>
                            <td>Дата</td>
                            <td>Опции</td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($packages as $package)
                            <tr>
                                <td>{{ $package->id }}</td>
                                <td><a href="{{ route('userEdit', ['user_id' => $package->user_id]) }}">{{ $package->user->name ?? '' }}</a></td>
                                <td>{{ $package->track_number }}</td>
                                <td>{{ $package->package_name }}</td>
                                <td>{{ $package->total_items() }}</td>
                                <td>{{ $package->items_cost() }}</td>
                                <td>{{ $package->date }}</td>
                                <td>
                                    <div class="btn-group" role="group">
                                        <button id="btnGroupDrop1" type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Options
                                        </button>
                                        <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                                            <a href="{{ route('packageEdit', ['package_id' => $package->id]) }}" class="btn btn-sm  dropdown-item">Edit</a>
                                            <a href="#" onclick="showModal({{ $package->id }})" class="btn btn-sm dropdown-item">Декларация</a>
                                            <a href="{{ route('declarationPdf', ['package_id' => $package->id]) }}" class="btn btn-sm dropdown-item">PDF</a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="mt-4 mb-5 mx-auto d-block">
                {{ $packages->appends($_GET)->links() }}
            </div>
        </div>
    </div>

    <div class="modal" tabindex="-1" id="declarationModal" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Декларация</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Декларация пуста</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Закрыть</button>
                </div>
            </div>
        </div>
    </div>

@endsection